Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.domapi
Class XPathNSResolverImpl

    java.lang.Object
      |
      +--org.apache.xml.utils.PrefixResolverDefault
            |
            +--org.apache.xpath.domapi.XPathNSResolverImpl

public class XPathNSResolverImpl
extends PrefixResolverDefault
implements XPathNSResolver

**Experimental** The class provides an implementation XPathNSResolver according to the DOM L3 XPath API Specification, Working Draft 28, March 2002.

The `XPathNSResolver` interface permit `prefix` strings in the expression to be properly bound to `namespaceURI` strings. `XPathEvaluator` can construct an implementation of `XPathNSResolver` from a node, or the interface may be implemented by any application.

See also the Document Object Model (DOM) Level 3 XPath Specification.

See Also:
  `XPathNSResolver`

Fields inherited from class org.apache.xml.utils.PrefixResolverDefault
`S_XMLNAMESPACEURI`

Constructor Summary
`XPathNSResolverImpl(Node xpathExpressionContext)` Constructor for XPathNSResolverImpl.

Method Summary
`java.lang.String` | `lookupNamespaceURI(java.lang.String prefix)`

Methods inherited from class org.apache.xml.utils.PrefixResolverDefault
`getBaseIdentifier, getNamespaceForPrefix, getNamespaceForPrefix, handlesNullPrefixes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathNSResolverImpl

    public XPathNSResolverImpl(Node xpathExpressionContext)

  Constructor for XPathNSResolverImpl.
  Parameters:
    `xpathExpressionContext` -

Method Detail

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  Specified by:
    lookupNamespaceURI in interface XPathNSResolver
  See Also:
    `XPathNSResolver.lookupNamespaceURI(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.